Subject: bug#52918: 29.0.50; to make use of ucd/Unihan_Readings.txt for kDefinition entry

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jan 2022 15:54:33 +0200

> Date: Fri, 31 Dec 2021 17:55:01 +0000 (UTC)
> From: Van Ly <[email-masked]>
> 
> I was looking in the master's emacs/admin/notes subdirectory and 
> found the unicode file.  It has a list of files from the ucd and has 
> left out:
> 
>    . Unihan_Readings.txt
> 
> Like how quail-show-key helps by showing in the minibuffer the input 
> sequence needed to type a character for a specific input method, can 
> there be a function called quail-show-unihan that exposes in the 
> minibuffer the kDefinition entry associated with the East Asian 
> character from ucd/Unihan_Readings.txt?

Yes, this could be added to Emacs, and IMO would be a useful feature.

Suggested implementation:

  . import the Unihan_Readings.txt file into Emacs
  . add Makefile rules to produce a uni-unihan-readings.el file from
    Unihan_Readings.txt, which defines a char-table where each
    character has its kDefinition property value
  . code a minor mode which will show in the echo area the value of
    the kDefinition property, if any, of the character at point

Patches welcome.